## You want to contribute some code?

We are always looking for quality contributions and will be happy to accept your Pull Requests as long as they adhere to some basic rules:

* Please make sure that your contribution fits well in the project's context:
  * we are aiming at rebuilding bootstrap components in pure Angular, without any dependencies on any external JavaScript library;
  * the only dependency should be bootstrap CSS and its markup structure
* Please assure that you are submitting quality code, specifically make sure that:
  * your component has accompanying tests and all the tests are passing
  * your PR doesn't break the build; check the Travis-CI build status after opening a PR and push corrective commits if anything goes wrong
  * your commits conform to the conventions established [here](https://github.com/stevemao/conventional-changelog-angular/blob/master/convention.md)
  * your component follows all the conventions stated [here](https://github.com/ng-bootstrap/ng-bootstrap/wiki/Code-conventions)
